// About/credits screen

#ifndef INC_C4StartupAboutDlg
#define INC_C4StartupAboutDlg

#include "C4Startup.h"

// startup dialog: Options
class C4StartupAboutDlg : public C4StartupDlg
	{
	// main dlg stuff -----------------------------------------------------
	public:
		C4StartupAboutDlg(); // ctor
		~C4StartupAboutDlg(); // dtor

	private:
		class C4KeyBinding *pKeyBack;

	protected:
		virtual int32_t GetMarginTop() { return iDlgMarginY + C4GUI_FullscreenDlg_TitleHeight/2; } // less top margin

		virtual void MouseInput(C4GUI::CMouse &rMouse, int32_t iButton, int32_t iX, int32_t iY, DWORD dwKeyParam); // input: back on any button
		virtual bool OnEnter() { DoBack(); return false; }
		virtual bool OnEscape() { DoBack(); return true; }
		virtual void DrawElement(C4FacetEx &cgo);
		bool KeyBack() { DoBack(); return true; }
		void OnBackBtn(C4GUI::Control *btn) { DoBack(); }

	public:
		void DoBack(); // back to main menu	

	//public:
	//	void RecreateDialog(bool fFade);

	};


#endif // INC_C4StartupAboutDlg
